Name:		smart
Version:	1.4.1
Release:	%mkrel 6
Group:		System/Configuration/Packaging
Summary:	Next generation package handling tool
License:	GPLv2+
URL:		http://labix.org/smart
Source0:	http://launchpadlibrarian.net/82440135/%{name}-%{version}.tar.xz
Source1:	smart-distro_pclos64.py
Source10:	smart-distro_pclos32.py
Source2:	smart.console
Source4:	smart-package-manager.desktop
Source6:	smart-newer.py
Source7:	smart-install.desktop
Source8:	smart-applet.desktop
Source9:	smart-applet.png

Patch1:		smart-1.4.1-enable-distepoch.patch
Patch2:		smart-1.4.1-applet.patch
Patch603:	smart-1.4.1-cache-packages-toggle.patch
Patch606:	smart-1.4.1-sysstdoutencoding-utf-8.patch
Patch607:	smart-1.4.1-saving-cache-msgbox.patch
Patch609:	smart-1.4.1-pycurl-speedup.patch
Patch610:	smart-1.4.1-pycurl-ftp-segfault.patch
Patch611:	smart-1.4.1-pycurl-for-ftp-only.patch
Patch613:	smart-1.4.1-keyerror.patch
Patch615:	smart-1.4.1-coercing2unicode.patch
Patch616:	smart-1.4.1-prefer-last-ok-mirror.patch
Patch618:	smart-1.4.1-inst-by-provide-fix.patch
Patch619:	smart-1.4.1-info-perm-denied.patch
# fix error probably introduced by createrepo update
# unclear if it actually works or not MD 20100830
Patch803:	smart-1.4.1-uncompress-close.patch
# https://bugs.launchpad.net/smart/+bug/268143
# add suggest config to ignore or install for rpm&deb
Patch805:	smart-1.4.1-rpm-suggests-config.patch
Patch806:	smart-1.4.1-deb-suggests-config.patch
Patch1007:	smart-1.4.1-computing_upgrades_989_988.patch
Patch1008:	smart-1.4.1-install-update.patch
Patch1009:	smart-1.4.1-dont-use-_RPMVSF_NOSIGNATURES.patch

BuildRequires:	rpm-mandriva-setup
BuildRequires:	desktop-file-utils
BuildRequires:	dpkg
BuildRequires:	python-rpm
BuildRequires:	%{_lib}python-devel
Requires:	python-lzma >= 0.4.0
Requires:	python-rpm
Requires:	usermode-consoleonly
Requires:	python-psycopg2
Requires:	pygtk2.0
Requires:	python >= 2.6.6
Requires:	gnome-python
Obsoletes:	smart < %version
Obsoletes:	smart-gui-gtk < %version
Obsoletes:	smart-gui-qt < %version
Obsoletes:	smart-suite < %version
Obsoletes:	smart-update < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Smart Package Manager is a next generation package handling tool.


%prep
%setup -q
###%patch1 -p1 -b .distepoch~
%patch2 -p1 -b .applet~
%patch603 -p1 -b .cache_packages_toggle~
%patch606 -p1 -b .sysstdoutencoding_utf-8~
%patch607 -p1 -b .saving_cache_msgbox~
%patch609 -p1 -b .pycurl_speedup~
%patch610 -p1 -b .ftp_segfault_pycurl~
%patch611 -p1 -b .pycurl_for_ftp_only~
%patch613 -p1 -b .keyerror~
%patch615 -p1 -b .coercing2unicode~
%patch616 -p1 -b .prefer_last_ok_mirror~
%patch618 -p1 -b .inst_by_provide_fix~
%patch619 -p1 -b .info_perm_denied~
%patch803 -p1 -b .uncompress_close~
%patch805 -p1 -b .rpm_suggests~
%patch806 -p1 -b .deb_suggests~
%patch1007 -p1 -b .computation~
%patch1008 -p1 -b .update_channels~
%patch1009 -p1 -b .nosig~
cp %{SOURCE9} contrib/smart-applet


%build
# (tpg) do not hardcode libdir
##sed -e 's,/usr/lib/%{name},%{_libdir}/%{name},g' -i smart/const.py

#export CFLAGS="%{optflags}"
#export CXXFLAGS="%{optflags}"
%setup_compile_flags
%make

pushd contrib/smart-update
%make
popd

%check
make test

%install
rm -fr %{buildroot}
%makeinstall_std

# 32/64 channel setup
%ifarch %{ix86}
install -m644 %{SOURCE10} -D %{buildroot}%{_prefix}/lib/smart/distro.py
%else
install -m644 %{SOURCE1} -D %{buildroot}%{_prefix}/lib/smart/distro.py
%endif

install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/security/console.apps/smart-root
ln -sf consolehelper %{buildroot}%{_bindir}/smart-root

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/smart-root <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       sufficient   pam_timestamp.so
auth       include      system-auth
account    required     pam_permit.so
session    required     pam_permit.so
session    optional     pam_timestamp.so
session    optional     pam_xauth.so
EOF

install -m 0644 smart/interfaces/images/smart.png -D %{buildroot}%{_datadir}/pixmaps/smart-package-manager.png
mkdir -p %{buildroot}%{_localstatedir}/lib/smart/channels

install -m 0644 %{SOURCE6} -D %{buildroot}%{py_platsitedir}/%{name}/commands/newer.py

install -m755 contrib/smart-update/smart-update -D %{buildroot}%{_bindir}/smart-update

install -m755 contrib/servicemenus/kde_add_smart_channel.sh -D %{buildroot}%{_bindir}/kde_add_smart_channel.sh
mkdir -p %{buildroot}%{_datadir}/apps/konqueror/servicemenus
install -m644 contrib/servicemenus/add_smart_channel.desktop %{buildroot}%{_datadir}/apps/konqueror/servicemenus

mkdir -p  %{buildroot}%{_datadir}/applications
install -m644 %SOURCE4  %{buildroot}%{_datadir}/applications

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{SOURCE8}
install -m755 contrib/smart-applet/smart-applet.py  -D %{buildroot}%{_bindir}/smart-applet
install -m644 contrib/smart-applet/smart-applet.png  -D %{buildroot}%{_datadir}/pixmaps/smart-applet.png
install -m644 contrib/smart-applet/smart-helper.pam %{buildroot}%{_sysconfdir}/pam.d/smart-helper
install -m644 contrib/smart-applet/smart-helper.helper %{buildroot}%{_sysconfdir}/security/console.apps/smart-helper
ln -sf consolehelper %{buildroot}%{_bindir}/smart-helper

%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}
rm -rf /var/lib/smart/channels/*
rm -rf /var/lib/smart/config*
rm -rf /var/lib/smart/cache

%postun
%{clean_menus}
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%doc HACKING README TODO IDEAS doc/*.css doc/*.html
%config(noreplace) %{_sysconfdir}/security/console.apps/smart-root
%config(noreplace) %{_sysconfdir}/pam.d/smart-root
%attr(0755,root,root)%{_bindir}/%{name}
%attr(0755,root,root)%{_bindir}/%{name}-root
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/distro.py*
%{py_platsitedir}/smart
%{py_platsitedir}/*.egg-info
%dir %{_localstatedir}/lib/smart/channels
%{_mandir}/*/*
%{_datadir}/applications/smart-package-manager.desktop
%{_datadir}/pixmaps/smart-package-manager.png
%attr(4755,root,root) %{_bindir}/smart-update
%config(noreplace) %{_sysconfdir}/security/console.apps/smart-helper
%config(noreplace) %{_sysconfdir}/pam.d/smart-helper
%attr(4755,root,root) %{_bindir}/smart-applet
%{_bindir}/smart-helper
%{_datadir}/applications/smart-applet.desktop
%{_datadir}/pixmaps/smart-applet.png
%_bindir/kde_add_smart_channel.sh
%_datadir/apps/konqueror/servicemenus/add_smart_channel.desktop

%changelog
* Thu Jan 29 2015 pinoc <vogtpet at gmail.com> 1.4.1-6pclos2015
- updated channels and recompiled

* Sat Nov 30 2013 pinoc <vogtpet at gmail.com> 1.4.1-5pclos2013
- added patches from MGA
- install to lib instead of _libdir
- updated channels to include US-mirror

* Tue Aug 20 2013 pinoc <vogtpet at gmail.com> 1.4.1-4pclos2013
- fixed and extended channel list

* Mon Aug 19 2013 pinoc <vogtpet at gmail.com> 1.4.1-3pclos2013
- rebuild on new python 2.7.5
- updated list of repo-channels, for 32 and 64

* Mon Jun 04 2012 Neal <nealbrks0 at gmail dot com> 1.4.1-2pclos2012
- process

* Sat Feb 25 2012 Neal <nealbrks0 at gmail dot com> 1.4.1-1pclos2012
- process

* Fri Feb 24 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.4.1-1_archie_2011
- 1.4.1

* Mon Sep 06 2010 Texstar <texstar at gmail.com> 1.2-5pclos2010
- rebuild for python 2.6.6

* Thu Mar 18 2010 Texstar <texstar at gmail.com> 1.2-4pclos2010
- fix again smart channels

* Thu Mar 18 2010 Texstar <texstar at gmail.com> 1.2-3pclos2010
- update for 2010

* Mon Sep 28 2009 Texstar <texstar at gmail.com> 1.2-2pclos2009
- add back ksmarttray ugh. I'll be glad to rid pclos of kde 3

* Fri Sep 18 2009 Texstar <texstar at gmail.com> 1.2-1pclos2009
- update

